package wxcarduser

import (
	"context"

	"wechat-api/internal/svc"
	"wechat-api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type CreateWxCardUserLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewCreateWxCardUserLogic(ctx context.Context, svcCtx *svc.ServiceContext) *CreateWxCardUserLogic {
	return &CreateWxCardUserLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx}
}

func (l *CreateWxCardUserLogic) CreateWxCardUser(req *types.WxCardUserInfo) (*types.BaseMsgResp, error) {

	return &types.BaseMsgResp{}, nil
}
