package wxcardvisit

import (
	"context"
	"github.com/suyuan32/simple-admin-common/msg/errormsg"

	"wechat-api/internal/svc"
	"wechat-api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type CreateWxCardVisitLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewCreateWxCardVisitLogic(ctx context.Context, svcCtx *svc.ServiceContext) *CreateWxCardVisitLogic {
	return &CreateWxCardVisitLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx}
}

func (l *CreateWxCardVisitLogic) CreateWxCardVisit(req *types.WxCardVisitInfo) (resp *types.BaseMsgResp, err error) {
	return &types.BaseMsgResp{Msg: errormsg.Success}, nil
}
